<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class BusinessLocationDetailItem 
{
    public string $id;
    public string $tenantId;
    public \Bushelpowered\Api\Businesspages\V1\Model\Location $location;
    public ?string $announcements = null;
    public int $weeksToDisplay;
    public ?\Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours = null;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[]|null $specialHours */
    public ?array $specialHours = null;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[]|null $weekNotes */
    public ?array $weekNotes = null;
    /** @var \Bushelpowered\Api\Businesspages\V1\Model\StaffMember[]|null $staffMembers */
    public ?array $staffMembers = null;
    /** @var null|string $publishedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $publishedAt = null;
    /** @var null|string $activatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $activatedAt = null;
    /** @var string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\SpecialHours[]|null  $specialHours 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\WeekNote[]|null  $weekNotes 
     * @param  \Bushelpowered\Api\Businesspages\V1\Model\StaffMember[]|null  $staffMembers 
     * @param  null|string  $publishedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $activatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $tenantId, \Bushelpowered\Api\Businesspages\V1\Model\Location $location, ?string $announcements, int $weeksToDisplay, ?\Bushelpowered\Api\Businesspages\V1\Model\StandardWeekHours $standardHours, ?array $specialHours, ?array $weekNotes, ?array $staffMembers, ?string $publishedAt, ?string $activatedAt, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->tenantId = $tenantId;
        $this->location = $location;
        $this->announcements = $announcements;
        $this->weeksToDisplay = $weeksToDisplay;
        $this->standardHours = $standardHours;
        $this->specialHours = $specialHours;
        $this->weekNotes = $weekNotes;
        $this->staffMembers = $staffMembers;
        $this->publishedAt = $publishedAt;
        $this->activatedAt = $activatedAt;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    

}